%define name gwenrename
%define preversion beta6
%define version 1.1
%define release %mkrel 0.%{preversion}.1

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	Series (batch) renaming tool
Source:  	http://members.hellug.gr/sng/gwenrename/%{name}-%{version}-%{preversion}.tar.gz
URL: 	        http://users.otenet.gr/~geosp/gwenrename/index.html
Group: 		File tools
License: 	GPLv2+
BuildRoot: 	%_tmppath/%{name}-%{version}
BuildRequires:  kdelibs4-devel 

%description
GwenRename is a series (batch) renaming tool. It was created as an external 
tool for GwenView, the image viewer for KDE, but it can be used from Konqueror
as well. As that, the files to be renamed are passed to it as command line 
parameters, through the service menus mechanism. It supports EXIF data 
extraction, file's timestamping and use of profiles.

%prep
%setup -q -n %name-%{version}-%{preversion}

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%find_lang %name --with-html

%if %mdkversion < 200900
%post
%update_menus
%endif

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files -f %name.lang
%defattr(-,root,root,0755)
%doc ChangeLog README
%{_kde_bindir}/%{name}
%{_kde_applicationsdir}/%{name}.desktop
%{_kde_appsdir}/%{name}
%{_kde_iconsdir}/*/*/*/*
%{_kde_services}/ServiceMenus/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sun Jul 12 2009 Funda Wang <fundawang@mandriva.org> 1.1-0.beta6.1mdv2010.0
+ Revision: 394953
- new version 1.1 beta6 (KDE4 based)

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 1.1-0.beta3.1mdv2009.0
+ Revision: 218421
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.1-0.beta3.1mdv2008.1
+ Revision: 126549
- kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Angelo Naselli <anaselli@mandriva.org> 1.1-0.beta3.1mdv2008.0
+ Revision: 81870
- new version 1.1-beta3
- Import gwenrename



* Sun Aug 27 2006 Angelo Naselli <anaselli@mandriva.org> 1.0.2-2mdv2007.0
- fix bug #24733

* Sun Dec 25 2005 Angelo Naselli <anaselli@mandriva.org> 1.0.2-1mdk
- Mandriva package - Merry Christmas to Vincent Panel :)
